@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.gridContainer {
  display: grid;
  grid-template-columns: minmax(350px, 372px) auto;
  grid-gap: 1rem;
  height: 80vh;
}

  .card {
    border: 1px solid $lightBlueColor;
    border-radius: 20px;
    height: 100%;
    background: $background;
    padding: {
      top: 20px;
      left: 25px;
      right: 25px;
      bottom: 10px;
    }

    &:first-child {
      margin-bottom: 25px;
    }

    &.shadowCard {
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
    }
  }


table.table {
  border-collapse: separate;
  border-spacing: 0 10px;

  & .tableHead {
    @include font($fontGotham, 12px, 19.2px);
    color: $greyText;
    & th {
      font-weight: normal;
      padding-bottom: 5px;
      border: {
        top: 1px solid $lightBlueColor !important;
        bottom: 1px solid $lightBlueColor !important;
      }
    }
  }

  & .tableRow {
    background-color: #F0F4FF;
    font-size: 12px;
  
    td {
      position: relative;
      vertical-align: middle;
      border: {
        top: 1px solid $lightBlueColor !important;
        bottom: 1px solid $lightBlueColor !important;
      }
      color: $greyText;
      @include font($fontGotham, 12px, 14.4px);
      padding-left: 15px !important;
      padding-bottom: 0 !important;
  
      &:first-child {
        display: flex;
        align-items: center;
        border-left: 1px solid $lightBlueColor !important;
        padding-left: 4px !important;
        &::after {
          content: "";
          position: absolute;
          background-color: $greyColor;
          right: 0;
          top: 10px;
          display: inline-block;
          width: 1px;
          height: 32px;
        }
      }
  
      &:last-child {
        border-bottom-right-radius: 10px; 
        border-top-right-radius: 10px; 
        border-right: 1px solid $lightBlueColor !important;
        &::before {
          content: "";
          position: absolute;
          background-color: $greyColor;
          left: 0;
          top: 10px;
          display: inline-block;
          width: 1px;
          height: 32px;
        }
      }

      & .shiftColor {
        display: inline-block;
        position: relative;
        top: -5px;
        width: 3px;
        height: 40px;
        margin-right: 15px;
        border-radius: 20px;
      }
  
      & .smallText {
        font-size: 10px;
        line-height: 12px;
        color: $greyColor;
      }
    }
  }

}
